3 # ********************************************************************
5 # File : $Source: /cvsroot/ijbswa/current/privoxy-generic.init,v $
7 # Purpose : This shell script takes care of starting and stopping
10 # Copyright : Written by and Copyright (C) 2001,2002 the SourceForge
11 # Privoxy team. http://www.privoxy.org/
13 # Based on the Internet Junkbuster originally written
14 # by and Copyright (C) 1997 Anonymous Coders and
15 # Junkbusters Corporation. http://www.junkbusters.com
17 # This program is free software; you can redistribute it
18 # and/or modify it under the terms of the GNU General
19 # Public License as published by the Free Software
20 # Foundation; either version 2 of the License, or (at
21 # your option) any later version.
23 # This program is distributed in the hope that it will
24 # be useful, but WITHOUT ANY WARRANTY; without even the
25 # implied warranty of MERCHANTABILITY or FITNESS FOR A
26 # PARTICULAR PURPOSE. See the GNU General Public
27 # License for more details.
29 # The GNU General Public License should be included with
30 # this file. If not, you can view it at
31 # http://www.gnu.org/copyleft/gpl.html
32 # or write to the Free Software Foundation, Inc., 59
33 # Temple Place - Suite 330, Boston, MA 02111-1307, USA.
35 # Developer's NOTE: This script should be tested against a true /bin/sh, which
36 # has notable differences from bash. By design, this script does not try to do
37 # too much, so as to be as cross-platform as possible.
41 # $Log: privoxy-generic.init,v $
42 # Revision 1.4 2002/09/11 01:15:02 hal9
43 # Fix typo in variable. Now tested on Solaris and Linux, with defaults.
45 # Revision 1.3 2002/09/11 01:09:14 hal9
46 # Better handling of pidfile, and process owner.
48 # Revision 1.2 2002/09/08 20:27:58 hal9
49 # -Rewrote script config section.
50 # -Added comments to script.
51 # -Tried to add logic to use a --user privoxy, if available.
52 # -Minor script changes due to 'echo -n' does not work on a true
55 # Revision 1.1 2002/09/06 00:20:26 hal9
56 # Creating a generic init script, meant to be used on platforms where don't have
57 # a custom init script.
59 # Revision 1.0 2002/09/05 17:14:32 hal9
61 #######################################################################
63 # Is this needed by Solaris?
64 #ident "@(#)privoxy 1.0 02/09/05"
66 # NOTE: This script may require editing to ensure proper location of
67 # config file, and the privoxy executable. Care should be taken to ensure
68 # logfile is writable by $P_USER (logfile is defined in config), and that
69 # there is suitable write access for $P_PIDFILE.
71 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin/:/usr/bin:/sbin:/bin
75 # Full path to location of Privoxy config file.
76 P_CONF_FILE=/usr/local/etc/privoxy/config
77 # Full path to PID file location. Location must be writable by
78 # whoever runs this script.
79 P_PIDFILE=/var/run/privoxy.pid
80 # If uncommented, this script will try to run as USER=privoxy, which
81 # may require special handling of config, *.action, trust, logfile,
82 # jarfile, and pidfile.
85 # If a privoxy user is specified, lets try that. /bin/sh does not seem to
87 if [ "$USER" = "root" ] && [ -n "$P_USER" ] && id $P_USER >/dev/null; then
93 if [ ! -f $P_CONF_FILE ]; then
94 echo "Can't find $P_CONF_FILE, exiting."
101 if [ -f $P_PIDFILE ]; then
102 if kill -0 `cat $P_PIDFILE`; then
103 echo "Error: $P_NAME is already running, exiting."
110 $P_DAEMON --pidfile $P_PIDFILE --user $P_OWNER $P_CONF_FILE 2>/dev/null
112 if [ $? -eq 0 ]; then
113 echo "Starting $P_NAME, OK."
115 echo "Starting $P_NAME, Failed."
126 test ! -f $P_PIDFILE && echo "No $P_PIDFILE file found, exiting." && exit 1
127 kill `cat $P_PIDFILE` && rm -f $P_PIDFILE && \
128 echo "Stopping $P_NAME, OK." || echo "Stopping $P_NAME, failed."
132 echo "Usage: $0 {start|stop|restart}"